org.wildfly.swarm.config.infinispan.cache_container

## Class DistributedCache.DistributedCacheResources

- java.lang.Object
- - org.wildfly.swarm.config.infinispan.cache_container.DistributedCache.DistributedCacheResources

- Enclosing class:
    DistributedCache<T extends DistributedCache<T>>

      public static class DistributedCache.DistributedCacheResources
      extends Object

  Child mutators for DistributedCache

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DistributedCacheResources()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BackupForComponent` | `backupForComponent()` A cache for which this cache acts as a backup (for use with cross site replication).
    `BackupsComponent` | `backupsComponent()` The remote backups for this cache.
    `BinaryJDBCStore` | `binaryJdbcStore()` The cache JDBC store configuration.
    `CustomStore` | `customStore()` The cache store configuration.
    `EvictionComponent` | `evictionComponent()` The cache eviction configuration.
    `ExpirationComponent` | `expirationComponent()` The cache expiration configuration.
    `FileStore` | `fileStore()` The cache file store configuration.
    `LockingComponent` | `lockingComponent()` The locking configuration of the cache.
    `MixedJDBCStore` | `mixedJdbcStore()` The cache JDBC store configuration.
    `NoneStore` | `noneStore()` A store-less configuration.
    `PartitionHandlingComponent` | `partitionHandlingComponent()` The partition handling configuration for distributed and replicated caches.
    `RemoteStore` | `remoteStore()` The cache remote store configuration.
    `StateTransferComponent` | `stateTransferComponent()` The state transfer configuration for distributed and replicated caches.
    `StringJDBCStore` | `stringJdbcStore()` The cache JDBC store configuration.
    `TransactionComponent` | `transactionComponent()` The cache transaction configuration.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DistributedCacheResources

          public DistributedCacheResources()

  - ### Method Detail

    - #### evictionComponent

          public EvictionComponent evictionComponent()

      The cache eviction configuration.

    - #### expirationComponent

          public ExpirationComponent expirationComponent()

      The cache expiration configuration.

    - #### customStore

          public CustomStore customStore()

      The cache store configuration.

    - #### noneStore

          public NoneStore noneStore()

      A store-less configuration.

    - #### backupForComponent

          public BackupForComponent backupForComponent()

      A cache for which this cache acts as a backup (for use with cross site replication).

    - #### transactionComponent

          public TransactionComponent transactionComponent()

      The cache transaction configuration.

    - #### binaryJdbcStore

          public BinaryJDBCStore binaryJdbcStore()

      The cache JDBC store configuration.

    - #### stringJdbcStore

          public StringJDBCStore stringJdbcStore()

      The cache JDBC store configuration.

    - #### fileStore

          public FileStore fileStore()

      The cache file store configuration.

    - #### stateTransferComponent

          public StateTransferComponent stateTransferComponent()

      The state transfer configuration for distributed and replicated caches.

    - #### partitionHandlingComponent

          public PartitionHandlingComponent partitionHandlingComponent()

      The partition handling configuration for distributed and replicated caches.

    - #### lockingComponent

          public LockingComponent lockingComponent()

      The locking configuration of the cache.

    - #### backupsComponent

          public BackupsComponent backupsComponent()

      The remote backups for this cache.

    - #### mixedJdbcStore

          public MixedJDBCStore mixedJdbcStore()

      The cache JDBC store configuration.

    - #### remoteStore

          public RemoteStore remoteStore()

      The cache remote store configuration.

Copyright © 2017 JBoss by Red Hat. All rights reserved.